Bug 863899 - Interlingua support
Interlingua support
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: 3.1
: ---
Assigned To: Ruediger Landmann
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 22:33 EDT by Nik Kalach
Modified: 2013-02-05 22:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 22:40:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Interlingua support in publican, publican-common and publican-fedora (92.10 KB, patch)
2012-10-07 22:33 EDT, Nik Kalach
no flags Details | Diff

  None (edit)
Description Nik Kalach 2012-10-07 22:33:32 EDT
Created attachment 623232 [details]
Interlingua support in publican, publican-common and publican-fedora

Description of problem:

Current version of publican including its core, publican-common and publican-fedora resources do not have Interlingua localization.

The corresponding projects at Zanata do not have Interlingua (IA) language enabled so it is impossible to upload translations.


Version-Release number of selected component (if applicable):
publican-2.8-2.f17
publican-fedora-2.0-5.f17
publican-3.0


Expected results:
The ia language resources are enabled at Zanata for the following projects:
publican
publican-common
publican-fedora

The attached patch should be applied to the Git repo of the Publican project to enable Interlingua as a language of publications.

The patch contains translation of all strings in publican-common and publican-fedora and translation of one required string in publican.
Comment 1 Nik Kalach 2012-11-12 13:28:42 EST
The lack of support for Interlingua in Publican does not allow us to get Fedora 18 documentation built properly in the standard build environment. The attached patches do not change anything in the product, they only add string translations.

Could apply the patches and add Interlingua to the list of the available languages at Zanata for publican, publican-common and publican-fedora projects?
Comment 2 Nik Kalach 2012-12-03 21:26:47 EST
The Interlingua locale with code ia_FR was recently added to glibc-2.17.
Comment 3 Ruediger Landmann 2013-01-23 21:00:36 EST
Thanks Nik; Publican files are updated for ia throughout; and ia is added to our Zanata projects. Thanks for your help and your gentle prodding :)
Comment 4 Jeff Fearn 2013-02-04 01:00:41 EST
$ git branch -a
* devel


$ tree ia
ia
|-- Conventions.po
|-- Feedback.po
|-- Program_Listing.po
|-- Revision_History.po
`-- Revision_History.xml


https://translate.zanata.org/zanata/iteration/view/publican-common/3?cid=46569

ia	Interlingua	100% (0hrs)

Note You need to log in before you can comment on or make changes to this bug.